Download it now!
Bug 83133 - FORMATTING: Frames styles change
Summary: FORMATTING: Frames styles change
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 83132 (view as bug list)
Depends on:
Blocks: Writer-Styles-Frame
  Show dependency treegraph
 
Reported: 2014-08-27 10:03 UTC by Pedro I. Hernandez
Modified: 2019-01-30 09:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro I. Hernandez 2014-08-27 10:03:12 UTC
Problem description: 

Steps to reproduce:
0. Insert an image in a Writer document
1. Configure a format (location, scale, ...) for the image
2. With it selected, create a new frame style
3. Apply to several images and it works (only if the image is proportional) fine
4. Close the file.
5. Reopen the file... the frame format has changed. It no longer works when trying to apply it to other images!!!... ¿?

Current behavior: Frame format changes the size (usually the vertical scale on the 'crop' tab)

Expected behavior: Frame format maintains the behaviour of the image and adjusts ONLY its scale (crop tab)
Operating System: Windows 8
Version: 4.3.0.4 release
Comment 1 Jacques Guilleron 2014-08-27 21:04:32 UTC
*** Bug 83132 has been marked as a duplicate of this bug. ***
Comment 2 tommy27 2014-08-28 15:28:59 UTC
try LibO 4.3.1.2 which has been released today
there are more than 100 bugfixes from 4.3.0.4

tell if issue persists after upgrading
Comment 3 Pedro I. Hernandez 2014-08-28 15:58:30 UTC
still happens after upgrading to 4.3.1.2
Comment 4 Buovjaga 2014-11-13 11:25:29 UTC
I reproduced.

Crop - (Keep scale) - Scale: changed width and height.
After reopening, setting the style to a new instance of the image set the height to 1% or 2%.
If others try, make sure to move (or delete) any existing image to another position before setting the style to another instance, so the new instance doesn't jump on top of the old and confuse you.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-12_00:19:18

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 5 Matthew Francis 2015-01-21 06:22:44 UTC
Appears to occur all the way back to 3.3.0, and also confirmed on OSX

Setting:
Platform -> All
Version -> Inherited from OOo
Comment 6 QA Administrators 2016-02-21 08:34:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21